{literal}
    <style>
        .hostbtn {
            width: 150px;
            min-width: 150px;
            padding: 10px 15px;
            background: #eee;
            display: inline-block;
            margin: 5px;
            vertical-align: top;
            border-radius: 3px;
            font-weight: 600;
            text-align: center;
            font-size: 14px;
            transition: transform 0.2s;
        }

        .hostbtn i {
            margin-right: 0;
            display: block;
            font-size: 24px;
            margin-bottom: 10px;
            transition: transform 0.2s;
        }

        .hostbtn:hover {
            background: #dbdbdb;
        }

        .hostbtn:hover i {
            transform: scale(1.2); /* Enlarge icon on hover */
        }
    </style>
{/literal}

<div class="d-flex justify-content-center flex-wrap">

    <a href="{$service->share['url']}/download" target="_blank" class="hostbtn">
        <i class="fas fa-download"></i>{$service->lang['Download']}
    </a>

    <a href="{$service->share['url']}" target="_blank" class="hostbtn">
        <i class="fas fa-file"></i>{$service->lang['File Viewer']}
    </a>

    {if $service->package_option_link_to_instruction ne ''}
        <a href="{$service->package_option_link_to_instruction}" target="_blank" class="hostbtn">
            <i class="fas fa-book"></i> {$service->lang['User manual']}
        </a>
    {/if}

</div>

<div class="row border-bottom">
    <div class="col-md-4 d-flex align-items-center">
        <b><i class="fas fa-file"></i>&nbsp;&nbsp;{$service->lang['File Viewer']}:</b>
    </div>
    <div class="col-md-8">
        <div class="row">
            <div class="col-10 d-flex align-items-center">
                <a href="{$service->share['url']}" target="_blank">{$service->share['url']}</a>
            </div>
            <div class="col-2 d-flex align-items-center">
                <input type="hidden" value="{$service->share['url']}" name="url" id="url">
                <div class="form-group mb-2 mt-2">
                    <button onclick="copyUrl()" id="copyUrlButton" class="btn btn-outline-danger"
                            type="button">
                        <i class="fa fa-copy"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

{if $service->package_option_password_protect == 'YES' AND $service->service_password != ''}
    <div class="row border-bottom">
        <div class="col-md-4 d-flex align-items-center">
            <b><i class="fa fa-lock"></i>&nbsp;&nbsp;{$service->lang['Password']}:</b>
        </div>
        <div class="col-md-8">
            <div class="row">
                <div class="col-10 d-flex align-items-center">
                    <div class="form-group mb-2 mt-2 w-100">
                        <div class="input-group">
                            <input type="password" id="password" name="password" class="form-control"
                                   value="{$service->service_password}" disabled>
                            <div class="input-group-append">
                                <button id="showPasswordButton" class="btn btn-outline-secondary" type="button">
                                    <i class="fa fa-eye"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-2 d-flex align-items-center">
                    <div class="form-group mb-2 mt-2">
                        <div class="input-group">
                            <button onclick="copyPassword()" id="copyPasswordButton" class="btn btn-outline-danger"
                                    type="button">
                                <i class="fa fa-copy"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{/if}

{literal}
    <script>
        var passwordField = document.getElementById('password');
        var showPasswordButton = document.getElementById('showPasswordButton');

        function startShowPassword() {
            passwordField.type = 'text';
        }

        function endShowPassword() {
            passwordField.type = 'password';
        }

        showPasswordButton.addEventListener('mousedown', startShowPassword);
        showPasswordButton.addEventListener('mouseup', endShowPassword);
        showPasswordButton.addEventListener('mouseleave', endShowPassword);

        showPasswordButton.addEventListener('touchstart', startShowPassword);
        showPasswordButton.addEventListener('touchend', endShowPassword);
        showPasswordButton.addEventListener('touchcancel', endShowPassword);


        function copyPassword() {
            const input = document.getElementById('password');
            navigator.clipboard.writeText(input.value).then(() => {
                alert('Copied to clipboard: ' + input.value);
            }).catch(err => {
                console.error('Copy error: ', err);
            });
        }

        function copyUrl() {
            const input = document.getElementById('url');
            navigator.clipboard.writeText(input.value).then(() => {
                alert('Copied to clipboard: ' + input.value);
            }).catch(err => {
                console.error('Copy error: ', err);
            });
        }
    </script>
{/literal}
